Page MenuHomePhabricator

Implement IP warning overlay
Closed, ResolvedPublic

Description

  • get all the messages
  • do not HTML escape the message that contains markup (bold) <- discussion had: sanitize it (to restrict to few useful tags) or not: tough b/c will bloat client artifact. Perhaps we can use the built in mediawiki parser / sanitiser? (https://www.mediawiki.org/wiki/Manual:Messages_API#Format_options)
  • add illustrative asset or find alternative approach
  • add buttons and link
    • "login", looks like button, actual link within same window See: T222692 for building link content
    • "edit without logging", looks like button, closes overlay
    • "create an account", looks like link, actual link within same window See: T222692 for building link content

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2019, 10:02 AM
Pablo-WMDE updated the task description. (Show Details)May 7 2019, 10:08 AM
Tarrow updated the task description. (Show Details)May 8 2019, 10:33 AM
Tarrow updated the task description. (Show Details)
Pablo-WMDE moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-15 board.

Change 509853 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Add "anonymous edit warning" messages for the new termbox

https://gerrit.wikimedia.org/r/509853

Change 510116 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Wire up the IP warning overlay

https://gerrit.wikimedia.org/r/510116

Change 509853 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add "anonymous edit warning" messages for the new termbox

https://gerrit.wikimedia.org/r/509853

Change 510191 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Add login and sign-up link URLs

https://gerrit.wikimedia.org/r/510191

Change 510462 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[wikibase/termbox@master] EventEmittingButton: ability to use as a vanilla link

https://gerrit.wikimedia.org/r/510462

Change 510116 merged by jenkins-bot:
[wikibase/termbox@master] Wire up the IP warning overlay

https://gerrit.wikimedia.org/r/510116

Change 510462 merged by jenkins-bot:
[wikibase/termbox@master] EventEmittingButton: ability to use as a vanilla link

https://gerrit.wikimedia.org/r/510462

Jakob_WMDE removed Jakob_WMDE as the assignee of this task.May 15 2019, 1:11 PM
Jakob_WMDE moved this task from Doing to Peer Review on the Wikidata-Termbox-Iteration-15 board.
Jakob_WMDE added a subscriber: Jakob_WMDE.

Change 510191 merged by jenkins-bot:
[wikibase/termbox@master] Add login and sign-up link URLs

https://gerrit.wikimedia.org/r/510191

Change 510835 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] termbox: use latest

https://gerrit.wikimedia.org/r/510835

Change 510835 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] termbox: use latest

https://gerrit.wikimedia.org/r/510835

Jakob_WMDE closed this task as Resolved.May 22 2019, 9:24 AM